Package ch.qos.logback.core.pattern.parser

# Class Node

java.lang.Object
ch.qos.logback.core.pattern.parser.Node

Direct Known Subclasses:
  `FormattingNode`

public class Node extends Object

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Node`
`getNext()`
`int`
`getType()`
`Object`
`getValue()`
`int`
`hashCode()`
`void`
`setNext(Node next)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getType

public int getType()

Returns:
  Returns the type.

### getValue

public Object getValue()

Returns:
  Returns the value.

### getNext

public Node getNext()

### setNext

public void setNext(Node next)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`